Subject: Re: TEST: Sleep suppport for iBook G4 & Aluminium PowerBooks (ATI based)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 21 Nov 2004 09:22:19 +1100

On Sat, 2004-11-20 at 21:47 +0000, Sean Neakums wrote:
> > http://gate.crashing.org/~benh/albook-ibookg4-sleep-2.diff
> 
> I tried this on my 15" AlBook (one of the new 1.5GHz ones), applied to
> Debian's 2.6.9.  It suspended and resumed fine (and quickly!), but
> after resume I noticed that images (in Mozilla and the root window)
> would become corrupted if obscured and made visible again, e.g. by
> switching tabs, or by moving between a full and an empty workspace.

Do you have APM emulation enabled in the kenrel config and do you
have /dev/apm_bios ? (check in X log that it properly opens the APM
device and gets notified of suspend and resume events).

Ben.